<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Assigns a group ID to all the jobs started by this thread...</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for setJobGroup {SparkR}"><tr><td>setJobGroup {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Assigns a group ID to all the jobs started by this thread until the group ID is set to a
different value or cleared.</h2>

<h3>Description</h3>

<p>Assigns a group ID to all the jobs started by this thread until the group ID is set to a
different value or cleared.
</p>


<h3>Usage</h3>

<pre>
setJobGroup(sc, groupId, description, interruptOnCancel)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sc</code></td>
<td>
<p>existing spark context</p>
</td></tr>
<tr valign="top"><td><code>description</code></td>
<td>
<p>description for the the job group ID</p>
</td></tr>
<tr valign="top"><td><code>interruptOnCancel</code></td>
<td>
<p>flag to indicate if the job is interrupted on job cancellation</p>
</td></tr>
<tr valign="top"><td><code>groupid</code></td>
<td>
<p>the ID to be assigned to job groups</p>
</td></tr>
</table>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
setJobGroup(sc, "myJobGroup", "My job group description", TRUE)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
